jQuery(document).ready(function ($) {
    // Clipboard on WP credentials page.
    $('.c-dn-copy-text').on('click', (e) => {
        navigator.clipboard.writeText($(e.currentTarget).siblings('.dn-wp-credentials').html()).then(() => {
            $(e.currentTarget).find('.c-dn-copied').addClass('activated');
            setTimeout(() => {
                $(e.currentTarget).find('.c-dn-copied').removeClass('activated');
            }, 500)
        });
    });

    const modal = $('#consentModal'),
        close = $('#consentModal .close, #consentModal #cancel'),
        confirmButton = $('#consentModal #confirm');

    // When the user clicks on the submit button, open the modal.
    $('#submitForm').on('click', function () {
        modal.css("display", "block");
    });

    // When the user clicks on (x), close the modal.
    $.each(close, function () {
        $(this).on('click', function () {
            modal.css("display", "none");
        });
    });

    confirmButton.on('click', function () {
        modal.css("display", "none");
        $('#submit').click();
    });
});
